## PkDetails PkDetails — Details object |

## Functions

PkDetails * | pk_details_new ()
const gchar * | pk_details_get_package_id ()
const gchar * | pk_details_get_license ()
PkGroupEnum | pk_details_get_group ()
const gchar * | pk_details_get_description ()
const gchar * | pk_details_get_url ()
guint64 | pk_details_get_size ()
const gchar * | pk_details_get_summary ()

## Properties

gchar * | description | Read / Write
guint | group | Read / Write
gchar * | license | Read / Write
gchar * | package-id | Read / Write
guint64 | size | Read / Write
gchar * | summary | Read / Write
gchar * | url | Read / Write

## Object Hierarchy

        GObject
        ╰── PkSource
            ╰── PkDetails

## Description

This GObject represents a details from a transaction. These objects represent single items of data from the transaction, and are often present in lists (PkResults) or just refcounted in client programs.

## Functions

### pk_details_new ()

    PkDetails *
    pk_details_new (void);

#### Returns

a new PkDetails object.

Since 0.5.4

### pk_details_get_package_id ()

    const gchar *
    pk_details_get_package_id (PkDetails *details);

Gets the PackageId for the details object.

#### Parameters

details | a PkDetails instance |

#### Returns

string value

Since 0.8.12

### pk_details_get_license ()

    const gchar *
    pk_details_get_license (PkDetails *details);

Gets the license for the details object.

#### Parameters

details | a PkDetails instance |

#### Returns

string value

Since 0.8.12

### pk_details_get_group ()

    PkGroupEnum
    pk_details_get_group (PkDetails *details);

Gets the group for the details object.

#### Parameters

details | a PkDetails instance |

#### Returns

string value

Since 0.8.12

### pk_details_get_description ()

    const gchar *
    pk_details_get_description (PkDetails *details);

Gets the description for the details object.

#### Parameters

details | a PkDetails instance |

#### Returns

string value

Since 0.8.12

### pk_details_get_url ()

    const gchar *
    pk_details_get_url (PkDetails *details);

Gets the url for the details object.

#### Parameters

details | a PkDetails instance |

#### Returns

string value

Since 0.8.12

### pk_details_get_size ()

    guint64
    pk_details_get_size (PkDetails *details);

Gets the size for the details object.

#### Parameters

details | a PkDetails instance |

#### Returns

string value

Since 0.8.12

### pk_details_get_summary ()

    const gchar *
    pk_details_get_summary (PkDetails *details);

Gets the summary for the details object.

#### Parameters

details | a PkDetails instance |

#### Returns

string value

Since 0.9.1

## Types and Values

## Property Details

### The `“description”` property

      “description”              gchar *

Flags: Read / Write

Default value: NULL

Since 0.5.4

### The `“group”` property

      “group”                    guint

Flags: Read / Write

Default value: 0

Since 0.5.4

### The `“license”` property

      “license”                  gchar *

Flags: Read / Write

Default value: NULL

Since 0.5.4

### The `“package-id”` property

      “package-id”               gchar *

Flags: Read / Write

Default value: NULL

Since 0.5.4

### The `“size”` property

      “size”                     guint64

Flags: Read / Write

Default value: 0

Since 0.5.4

### The `“summary”` property

      “summary”                  gchar *

Flags: Read / Write

Default value: NULL

Since 0.9.1

### The `“url”` property

      “url”                      gchar *

Flags: Read / Write

Default value: NULL

Since 0.5.4